odoo.define('website_customer_order_comment.payment', function(require) {
    "use strict";

    var ajax = require('web.ajax');

    $(document).ready(function() {
        'use strict';
        $("#payment_method button[type='submit']").bind("click", function(ev) {
            ev.preventDefault();
            ev.stopPropagation();

            function payment() {
                var $form = $(ev.currentTarget).parents('form');
                var acquirer_id = $(ev.currentTarget).parents('div.oe_sale_acquirer_button').first().data('id');
                if (!acquirer_id) {
                    return false;
                }
                ajax.jsonRpc('/shop/payment/transaction/' + acquirer_id, 'call', {}).then(function(data) {
                    $form.html(data);
                    $form.submit();
                });
            }
            var customer_comment = $('#customer_comment').val();
            ajax.jsonRpc('/shop/customer_comment/', 'call', {
                'comment': customer_comment
            }).then(function() {
                payment();
            });
        });
    });
});